import { database2real } from "./currency"
import dayjs, { Dayjs } from 'dayjs'

export const currencyFormatter = (v: number) => "￥" + database2real(v).toFixed(2)
export const row_currencyFormatter = (_: any, v: number | null) => v ? ("￥" + database2real(v).toFixed(2)) : "-"

export function datetime_format(v: Dayjs | Date | string, format: string = 'YYYY-MM-DD HH:mm:ss'): string {
    if (v instanceof Date || typeof v === 'string') {
        return dayjs(v).format(format)
    } else {
        return v.format(format)
    }
}

export function datetime_format_short(v: (Parameters<typeof datetime_format>)[0]): string {
    return datetime_format(v, "M-DD HH:mm")
}